curl --request PATCH \
--url https://api.tread-horizon.com/v1/telematics/remote_vehicles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"telematics_fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"equipment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_vehicle_external_id": 123,
"remote_vehicle_external_name": "<string>",
"remote_vehicle_external_model": "<string>",
"remote_vehicle_external_license_plate_number": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"telematics_fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_vehicle_external_id": 123,
"remote_vehicle_external_name": "<string>",
"remote_vehicle_external_model": "<string>",
"remote_vehicle_external_license_plate_number": "<string>",
"equipment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"equipment_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"system": true,
"external_id": "<string>",
"accounting_id": "<string>"
},
"external_id": "<string>",
"equipment_id": "<string>",
"license_number": "<string>",
"zone": "<string>",
"accounting_id": "<string>",
"company_share": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"ticket_match_id": "<string>",
"sender_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"dispatchable": true,
"schedule_on": true,
"rate_override": true,
"expires_at": "2023-11-07T05:31:56Z"
}
}
}
}Update a Telematics Remote Vehicle by id.
This endpoint requires the edit_telematics_remote_vehicles permission.
curl --request PATCH \
--url https://api.tread-horizon.com/v1/telematics/remote_vehicles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"telematics_fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"equipment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_vehicle_external_id": 123,
"remote_vehicle_external_name": "<string>",
"remote_vehicle_external_model": "<string>",
"remote_vehicle_external_license_plate_number": "<string>"
}
'{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"telematics_fleet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"remote_vehicle_external_id": 123,
"remote_vehicle_external_name": "<string>",
"remote_vehicle_external_model": "<string>",
"remote_vehicle_external_license_plate_number": "<string>",
"equipment": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"equipment_type": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"system": true,
"external_id": "<string>",
"accounting_id": "<string>"
},
"external_id": "<string>",
"equipment_id": "<string>",
"license_number": "<string>",
"zone": "<string>",
"accounting_id": "<string>",
"company_share": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"ticket_match_id": "<string>",
"sender_company": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tread_id": "ABC123",
"legal_name": "<string>",
"company_type": "hauler"
},
"dispatchable": true,
"schedule_on": true,
"rate_override": true,
"expires_at": "2023-11-07T05:31:56Z"
}
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.tread.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
"en"
Telematics Remote Vehicle ID
OK
Show child attributes